/// <reference types="react" />
import { TextEntryFormControl } from "../TextEntryFormControl";
import { Variant as TextVariant } from "@material-ui/core/styles/createTypography";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
export declare class InlineTextEditFormControl extends TextEntryFormControl {
    readonly __type: string;
    type: TextVariant;
    focusControl(): void;
    render(): JSX.Element;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    renderEditUI(): JSX.Element | null;
    getStorageData(): object;
    setStorageData(data: object): void;
}
